%def_disable static

Name: libtorrent
Version: 0.6.4
Release: alt1

Summary: LibTorrent is a BitTorrent library written in C++ for *nix
Group: System/Libraries
License: GPL
Url: http://libtorrent.rakshasa.no/
Packager: Andrei Bulava <abulava@altlinux.ru>

Source0: http://libtorrent.rakshasa.no/downloads/%name-%version.tar.gz

BuildRequires: gcc-c++ libsigc++2.0-devel libstdc++-devel pkgconfig

%description
LibTorrent is designed to avoid redundant copying and storing of data that
other clients and libraries suffer from. LibTorrent features:

* The client has full control over the polling of sockets.
* Sigc++ signals makes it easy for the client to react to events.
* Fast resume which checks the file modification time.
* Direct reading and writing from network to mmap'ed files.
* File hash check uses the same thread; client can control the rate;
  non-blocking and preload to memory with the mincore and madvise.
* File handler: fine-grained use of file read/write permissions, allows seeding
  of read-only files; allows torrents with unlimited number of files; opens
  closed files when mapping chunks to memory, with graceful error handling;
  support for files larger than 2 GB; different download priorities for files
  in the torrent.
* Multi-tracker support.
* No dependency on any specific HTTP library, the client implements a wrapper
  class.
* Dynamic request pipe size.
* Upload and download throttle.
* And much more...

%package devel
Summary: Development libraries and header files for LibTorrent
Group: Development/C
Requires: %name = %version-%release

%description devel
The libtorrent-devel package contains libraries and header files needed
to develop applications using LibTorrent.

%package devel-static
Summary: Development static library for LibTorrent
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of LibTorrent library. Install
libtorrent-devel-static if you want to develop applications statically linked
with LibTorrent.

%prep
%setup -q

%build
%configure --enable-static=%{?_enable_static:yes}%{?_disable_static:no}
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO

%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Jun 13 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.4-alt1
- initial build for ALT Linux
